=== modified file 'bzrlib/hooks.py'
--- bzrlib/hooks.py	2008-04-20 08:03:03 +0000
+++ bzrlib/hooks.py	2008-04-30 13:21:37 +0000
@@ -17,7 +17,7 @@
 
 """Support for plugin hooking logic."""
 from bzrlib.lazy_import import lazy_import
-from bzrlib.symbol_versioning import deprecated_method, one_four
+from bzrlib.symbol_versioning import deprecated_method, one_five
 lazy_import(globals(), """
 from bzrlib import (
         errors,
@@ -46,7 +46,7 @@
         """
         return self._callable_names.get(a_callable, "No hook name")
 
-    @deprecated_method(one_four)
+    @deprecated_method(one_five)
     def install_hook(self, hook_name, a_callable):
         """Install a_callable in to the hook hook_name.
 

=== modified file 'bzrlib/tests/test_hooks.py'
--- bzrlib/tests/test_hooks.py	2008-04-20 08:03:03 +0000
+++ bzrlib/tests/test_hooks.py	2008-04-30 13:21:37 +0000
@@ -23,7 +23,7 @@
     UnknownHook,
     )
 
-from bzrlib.symbol_versioning import one_four
+from bzrlib.symbol_versioning import one_five
 from bzrlib.tests import TestCase
 
 
@@ -32,14 +32,14 @@
     def test_install_hook_raises_unknown_hook(self):
         """install_hook should raise UnknownHook if a hook is unknown."""
         hooks = Hooks()
-        self.assertRaises(UnknownHook, self.applyDeprecated, one_four,
+        self.assertRaises(UnknownHook, self.applyDeprecated, one_five,
                           hooks.install_hook, 'silly', None)
 
     def test_install_hook_appends_known_hook(self):
         """install_hook should append the callable for known hooks."""
         hooks = Hooks()
         hooks['set_rh'] = []
-        self.applyDeprecated(one_four, hooks.install_hook, 'set_rh', None)
+        self.applyDeprecated(one_five, hooks.install_hook, 'set_rh', None)
         self.assertEqual(hooks['set_rh'], [None])
 
     def test_install_named_hook_raises_unknown_hook(self):
@@ -64,12 +64,12 @@
         """name_hook puts the name in the names mapping."""
         hooks = Hooks()
         hooks['set_rh'] = []
-        self.applyDeprecated(one_four, hooks.install_hook, 'set_rh', None)
+        self.applyDeprecated(one_five, hooks.install_hook, 'set_rh', None)
         hooks.name_hook(None, 'demo')
         self.assertEqual("demo", hooks.get_hook_name(None))
 
     def test_get_unnamed_hook_name_is_unnamed(self):
         hooks = Hooks()
         hooks['set_rh'] = []
-        self.applyDeprecated(one_four, hooks.install_hook, 'set_rh', None)
+        self.applyDeprecated(one_five, hooks.install_hook, 'set_rh', None)
         self.assertEqual("No hook name", hooks.get_hook_name(None))

